xlsx-1.1.4: Simple and incomplete Excel file parser/writer

Safe Haskell | None
Language | Haskell2010

Codec.Xlsx.Types.Internal.DvPair

Synopsis

- newtype DvPair = DvPair {
  - unDvPair :: (SqRef, DataValidation)
  }

# Documentation

newtype DvPair Source #

Internal helper type for parsing data validation records

See 18.3.1.32 "dataValidation (Data Validation)" (p. 1614/1624)

Constructors

DvPair |

Fields

- unDvPair :: (SqRef, DataValidation)

#### Instances

Instances details

Generic DvPair Source # |

Instance details

Defined in Codec.Xlsx.Types.Internal.DvPair

Associated Types

type Rep DvPair |
Instance details Defined in Codec.Xlsx.Types.Internal.DvPair type Rep DvPair = D1 ('MetaData "DvPair" "Codec.Xlsx.Types.Internal.DvPair" "xlsx-1.1.4-G0KawmQS4mL8oRGRTaTy8Y" 'True) (C1 ('MetaCons "DvPair" 'PrefixI 'True) (S1 ('MetaSel ('Just "unDvPair") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (SqRef, DataValidation))))

Methods

from :: DvPair -> Rep DvPair x Source #

to :: Rep DvPair x -> DvPair Source #

Show DvPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.DvPair Methods showsPrec :: Int -> DvPair -> ShowS Source # show :: DvPair -> String Source # showList :: [DvPair] -> ShowS Source #
Eq DvPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.DvPair Methods (==) :: DvPair -> DvPair -> Bool Source # (/=) :: DvPair -> DvPair -> Bool Source #
FromCursor DvPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.DvPair Methods fromCursor :: Cursor -> [DvPair] Source #
FromXenoNode DvPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.DvPair Methods fromXenoNode :: Node -> Either Text DvPair Source #
ToElement DvPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.DvPair Methods toElement :: Name -> DvPair -> Element Source #
type Rep DvPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.DvPair type Rep DvPair = D1 ('MetaData "DvPair" "Codec.Xlsx.Types.Internal.DvPair" "xlsx-1.1.4-G0KawmQS4mL8oRGRTaTy8Y" 'True) (C1 ('MetaCons "DvPair" 'PrefixI 'True) (S1 ('MetaSel ('Just "unDvPair") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (SqRef, DataValidation))))